
/**
 * Clase utilizada para representar un círculo.
 * 
 * @author Josep Silva 
 * @version 2 Octubre 2012
 */

public class Cubo extends Figura implements Volumen
{
    protected double lado;

    // Constructor
    public Cubo(double x, double y, double lado)
    {
        super(x,y);
        this.lado=lado;
    }
    
    public double volumen()
    {
        return lado*lado*lado;
    }
}
